curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedance2_5",
"params": {
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/product.jpg"
],
"video_url": ["https://example.com/motion-reference.mp4"],
"audio_url": ["https://example.com/music-reference.mp3"],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov"
},
"out_task_id": "seedance2_5_reference_123456"
}'
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedance2_5",
"params": {
"prompt": "从清晨的城市天际线自然过渡到夜晚灯光,缓慢推进镜头",
"type": "first_last_frame",
"image_url": "https://example.com/first-frame.jpg",
"end_image_url": "https://example.com/last-frame.jpg",
"resolution": "720p",
"video_length": 10,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mp4"
},
"out_task_id": "seedance2_5_frames_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "seedance2_5",
"params": {
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": ["https://example.com/character.jpg", "https://example.com/product.jpg"],
"video_url": ["https://example.com/motion-reference.mp4"],
"audio_url": ["https://example.com/music-reference.mp3"],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": True,
"output_format": "mov"
},
"out_task_id": "seedance2_5_reference_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "seedance2_5",
params: {
prompt: "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
type: "all_reference",
image_url: ["https://example.com/character.jpg", "https://example.com/product.jpg"],
video_url: ["https://example.com/motion-reference.mp4"],
audio_url: ["https://example.com/music-reference.mp3"],
resolution: "720p",
video_length: 8,
aspect_ratio: "16:9",
generate_audio: true,
output_format: "mov"
},
out_task_id: "seedance2_5_reference_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "seedance2_5",
"params": map[string]interface{}{
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": []interface{}{
"https://example.com/character.jpg",
"https://example.com/product.jpg",
},
"video_url": []interface{}{
"https://example.com/motion-reference.mp4",
},
"audio_url": []interface{}{
"https://example.com/music-reference.mp3",
},
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov",
},
"out_task_id": "seedance2_5_reference_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "seedance2_5",
"params": {
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/product.jpg"
],
"video_url": [
"https://example.com/motion-reference.mp4"
],
"audio_url": [
"https://example.com/music-reference.mp3"
],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov"
},
"out_task_id": "seedance2_5_reference_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "seedance2_5",
"params" => [
"prompt" => "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type" => "all_reference",
"image_url" => ["https://example.com/character.jpg", "https://example.com/product.jpg"],
"video_url" => ["https://example.com/motion-reference.mp4"],
"audio_url" => ["https://example.com/music-reference.mp3"],
"resolution" => "720p",
"video_length" => 8,
"aspect_ratio" => "16:9",
"generate_audio" => true,
"output_format" => "mov"
],
"out_task_id" => "seedance2_5_reference_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "seedance2_5",
params: {
prompt: "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
type: "all_reference",
image_url: ["https://example.com/character.jpg", "https://example.com/product.jpg"],
video_url: ["https://example.com/motion-reference.mp4"],
audio_url: ["https://example.com/music-reference.mp3"],
resolution: "720p",
video_length: 8,
aspect_ratio: "16:9",
generate_audio: true,
output_format: "mov"
},
out_task_id: "seedance2_5_reference_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "seedance2_5",
"params": [
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": ["https://example.com/character.jpg", "https://example.com/product.jpg"],
"video_url": ["https://example.com/motion-reference.mp4"],
"audio_url": ["https://example.com/music-reference.mp3"],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov"
],
"out_task_id": "seedance2_5_reference_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
""model"": ""seedance2_5"",
""params"": {
""prompt"": ""电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声"",
""type"": ""all_reference"",
""image_url"": [
""https://example.com/character.jpg"",
""https://example.com/product.jpg""
],
""video_url"": [
""https://example.com/motion-reference.mp4""
],
""audio_url"": [
""https://example.com/music-reference.mp3""
],
""resolution"": ""720p"",
""video_length"": 8,
""aspect_ratio"": ""16:9"",
""generate_audio"": true,
""output_format"": ""mov""
},
""out_task_id"": ""seedance2_5_reference_123456""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"seedance2_5\",\"params\":{\"prompt\":\"电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声\",\"type\":\"all_reference\",\"image_url\":[\"https://example.com/character.jpg\",\"https://example.com/product.jpg\"],\"video_url\":[\"https://example.com/motion-reference.mp4\"],\"audio_url\":[\"https://example.com/music-reference.mp3\"],\"resolution\":\"720p\",\"video_length\":8,\"aspect_ratio\":\"16:9\",\"generate_audio\":true,\"output_format\":\"mov\"},\"out_task_id\":\"seedance2_5_reference_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"seedance2_5",
@"params": @{
@"prompt": @"电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
@"type": @"all_reference",
@"image_url": @[
@"https://example.com/character.jpg",
@"https://example.com/product.jpg"
],
@"video_url": @[@"https://example.com/motion-reference.mp4"],
@"audio_url": @[@"https://example.com/music-reference.mp3"],
@"resolution": @"720p",
@"video_length": @8,
@"aspect_ratio": @"16:9",
@"generate_audio": @YES,
@"output_format": @"mov"
},
@"out_task_id": @"seedance2_5_reference_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"Error: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "seedance2_5",
"params": {
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/product.jpg"
],
"video_url": [
"https://example.com/motion-reference.mp4"
],
"audio_url": [
"https://example.com/music-reference.mp3"
],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov"
},
"out_task_id": "seedance2_5_reference_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
"model": "seedance2_5",
"params": {
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": ["https://example.com/character.jpg", "https://example.com/product.jpg"],
"video_url": ["https://example.com/motion-reference.mp4"],
"audio_url": ["https://example.com/music-reference.mp3"],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov"
},
"out_task_id": "seedance2_5_reference_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "seedance2_5",
params = list(
prompt = "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
type = "all_reference",
image_url = list(
"https://example.com/character.jpg",
"https://example.com/product.jpg"
),
video_url = list(
"https://example.com/motion-reference.mp4"
),
audio_url = list(
"https://example.com/music-reference.mp3"
),
resolution = "720p",
video_length = 8,
aspect_ratio = "16:9",
generate_audio = TRUE,
output_format = "mov"
),
out_task_id = "seedance2_5_reference_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "seedance2_5_reference_123456",
"status": "pending",
"estimated_credits": 100,
"created_at": "2025-12-22T06:03:28.242Z"
}
}
{
"statusCode": 400,
"message": "请求参数无效",
"ok": false
}
{
"error": {
"code": 401,
"message": "身份验证失败,请检查您的API密钥"
}
}
{
"error": {
"code": 433,
"message": "账户余额不足,请充值后再试"
}
}
{
"error": {
"code": 500,
"message": "服务器内部错误,请稍后重试"
}
}
Seedance 2.5
Seedance 2.5 视频生成
- 支持全参考和首尾帧两种视频生成模式
- 支持图片、视频和音频参考素材
- 支持 480p / 720p、4-30 秒及同步 AI 音频
- 支持 MP4 和高色彩精度 MOV 输出
- 异步处理模式,返回任务 ID 用于后续查询
POST
/
api
/
openapi
/
submit
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedance2_5",
"params": {
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/product.jpg"
],
"video_url": ["https://example.com/motion-reference.mp4"],
"audio_url": ["https://example.com/music-reference.mp3"],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov"
},
"out_task_id": "seedance2_5_reference_123456"
}'
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedance2_5",
"params": {
"prompt": "从清晨的城市天际线自然过渡到夜晚灯光,缓慢推进镜头",
"type": "first_last_frame",
"image_url": "https://example.com/first-frame.jpg",
"end_image_url": "https://example.com/last-frame.jpg",
"resolution": "720p",
"video_length": 10,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mp4"
},
"out_task_id": "seedance2_5_frames_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "seedance2_5",
"params": {
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": ["https://example.com/character.jpg", "https://example.com/product.jpg"],
"video_url": ["https://example.com/motion-reference.mp4"],
"audio_url": ["https://example.com/music-reference.mp3"],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": True,
"output_format": "mov"
},
"out_task_id": "seedance2_5_reference_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "seedance2_5",
params: {
prompt: "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
type: "all_reference",
image_url: ["https://example.com/character.jpg", "https://example.com/product.jpg"],
video_url: ["https://example.com/motion-reference.mp4"],
audio_url: ["https://example.com/music-reference.mp3"],
resolution: "720p",
video_length: 8,
aspect_ratio: "16:9",
generate_audio: true,
output_format: "mov"
},
out_task_id: "seedance2_5_reference_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "seedance2_5",
"params": map[string]interface{}{
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": []interface{}{
"https://example.com/character.jpg",
"https://example.com/product.jpg",
},
"video_url": []interface{}{
"https://example.com/motion-reference.mp4",
},
"audio_url": []interface{}{
"https://example.com/music-reference.mp3",
},
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov",
},
"out_task_id": "seedance2_5_reference_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "seedance2_5",
"params": {
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/product.jpg"
],
"video_url": [
"https://example.com/motion-reference.mp4"
],
"audio_url": [
"https://example.com/music-reference.mp3"
],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov"
},
"out_task_id": "seedance2_5_reference_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "seedance2_5",
"params" => [
"prompt" => "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type" => "all_reference",
"image_url" => ["https://example.com/character.jpg", "https://example.com/product.jpg"],
"video_url" => ["https://example.com/motion-reference.mp4"],
"audio_url" => ["https://example.com/music-reference.mp3"],
"resolution" => "720p",
"video_length" => 8,
"aspect_ratio" => "16:9",
"generate_audio" => true,
"output_format" => "mov"
],
"out_task_id" => "seedance2_5_reference_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "seedance2_5",
params: {
prompt: "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
type: "all_reference",
image_url: ["https://example.com/character.jpg", "https://example.com/product.jpg"],
video_url: ["https://example.com/motion-reference.mp4"],
audio_url: ["https://example.com/music-reference.mp3"],
resolution: "720p",
video_length: 8,
aspect_ratio: "16:9",
generate_audio: true,
output_format: "mov"
},
out_task_id: "seedance2_5_reference_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "seedance2_5",
"params": [
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": ["https://example.com/character.jpg", "https://example.com/product.jpg"],
"video_url": ["https://example.com/motion-reference.mp4"],
"audio_url": ["https://example.com/music-reference.mp3"],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov"
],
"out_task_id": "seedance2_5_reference_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
""model"": ""seedance2_5"",
""params"": {
""prompt"": ""电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声"",
""type"": ""all_reference"",
""image_url"": [
""https://example.com/character.jpg"",
""https://example.com/product.jpg""
],
""video_url"": [
""https://example.com/motion-reference.mp4""
],
""audio_url"": [
""https://example.com/music-reference.mp3""
],
""resolution"": ""720p"",
""video_length"": 8,
""aspect_ratio"": ""16:9"",
""generate_audio"": true,
""output_format"": ""mov""
},
""out_task_id"": ""seedance2_5_reference_123456""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"seedance2_5\",\"params\":{\"prompt\":\"电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声\",\"type\":\"all_reference\",\"image_url\":[\"https://example.com/character.jpg\",\"https://example.com/product.jpg\"],\"video_url\":[\"https://example.com/motion-reference.mp4\"],\"audio_url\":[\"https://example.com/music-reference.mp3\"],\"resolution\":\"720p\",\"video_length\":8,\"aspect_ratio\":\"16:9\",\"generate_audio\":true,\"output_format\":\"mov\"},\"out_task_id\":\"seedance2_5_reference_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"seedance2_5",
@"params": @{
@"prompt": @"电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
@"type": @"all_reference",
@"image_url": @[
@"https://example.com/character.jpg",
@"https://example.com/product.jpg"
],
@"video_url": @[@"https://example.com/motion-reference.mp4"],
@"audio_url": @[@"https://example.com/music-reference.mp3"],
@"resolution": @"720p",
@"video_length": @8,
@"aspect_ratio": @"16:9",
@"generate_audio": @YES,
@"output_format": @"mov"
},
@"out_task_id": @"seedance2_5_reference_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"Error: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "seedance2_5",
"params": {
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/product.jpg"
],
"video_url": [
"https://example.com/motion-reference.mp4"
],
"audio_url": [
"https://example.com/music-reference.mp3"
],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov"
},
"out_task_id": "seedance2_5_reference_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
"model": "seedance2_5",
"params": {
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": ["https://example.com/character.jpg", "https://example.com/product.jpg"],
"video_url": ["https://example.com/motion-reference.mp4"],
"audio_url": ["https://example.com/music-reference.mp3"],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov"
},
"out_task_id": "seedance2_5_reference_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "seedance2_5",
params = list(
prompt = "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
type = "all_reference",
image_url = list(
"https://example.com/character.jpg",
"https://example.com/product.jpg"
),
video_url = list(
"https://example.com/motion-reference.mp4"
),
audio_url = list(
"https://example.com/music-reference.mp3"
),
resolution = "720p",
video_length = 8,
aspect_ratio = "16:9",
generate_audio = TRUE,
output_format = "mov"
),
out_task_id = "seedance2_5_reference_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "seedance2_5_reference_123456",
"status": "pending",
"estimated_credits": 100,
"created_at": "2025-12-22T06:03:28.242Z"
}
}
{
"statusCode": 400,
"message": "请求参数无效",
"ok": false
}
{
"error": {
"code": 401,
"message": "身份验证失败,请检查您的API密钥"
}
}
{
"error": {
"code": 433,
"message": "账户余额不足,请充值后再试"
}
}
{
"error": {
"code": 500,
"message": "服务器内部错误,请稍后重试"
}
}
Seedance 2.5 在 AIReiter 中的模型名称为
seedance2_5。Authorizations
string
必填
Body
string
必填
模型名称,固定使用:
seedance2_5
object
必填
模型参数对象。
显示 params 对象属性
显示 params 对象属性
string
必填
视频生成的文本描述。建议描述主体、场景、动作、镜头运动、视觉风格、对白及环境声音。
string
默认值:"all_reference"
参考模式,决定参考素材的使用方式:
all_reference- 全参考模式,可使用参考图片、参考视频和参考音频first_last_frame- 首尾帧模式,使用首帧和可选的尾帧图片
string | string[]
参考图片 URL。
all_reference模式:最多 30 张图片;单张最大 50MB;图片最小边长 300pxfirst_last_frame模式:作为首帧图片;最大 10MB;图片最小边长 300px
string
尾帧图片 URL,仅
first_last_frame 模式有效。图片最大 10MB,最小边长 300px,URL 必须可由公网直接访问。string | string[]
参考视频 URL,仅
all_reference 模式有效,最多支持 9 个参考视频。视频要求:- 单个视频时长 2-30 秒,参考视频总时长不超过 30 秒
- 单个视频最大 200MB
- 帧率 24-60 FPS
- 宽高比范围 0.4-2.5
- 宽高范围 300-6000px
- 总像素数范围 409600-8295044
first_last_frame 模式请勿传入此参数。string | string[]
参考音频 URL,仅
all_reference 模式有效,最多支持 10 个音频。音频要求:- 单个音频时长 2-30 秒,参考音频总时长不超过 30 秒
- 支持 WAV、MP3
- 单个音频最大 15MB
first_last_frame 模式请勿传入此参数。string
默认值:"720p"
视频分辨率:
480p720p- 默认值
integer
默认值:"5"
输出视频时长,单位为秒。支持
4 到 30 之间的整数。string
默认值:"16:9"
视频宽高比:
21:9- 超宽屏16:9- 横屏,默认值9:16- 竖屏4:3- 标准横屏3:4- 竖版标准1:1- 方形
boolean
默认值:"true"
是否生成与视频同步的 AI 音频。
true- 生成音频,默认值false- 不生成音频
string
默认值:"mp4"
输出视频格式:
mp4- 通用格式,文件体积较小,默认值mov- 高色彩精度格式(yuv444p),适合后期扩展和拼接
string
必填
发起方任务 ID。由调用方生成并保证唯一,支持字母、数字、下划线和横线,长度为 1-64 个字符。后续使用该 ID 查询任务状态和结果。
Response
string
发起方任务 ID,可用于查询结果。
string
初始状态,通常为
"pending"。number
预估消耗积分。
string
创建时间,ISO 8601 格式。
Query Task
Seedance 2.5 采用异步处理。提交成功后,使用同一个out_task_id 查询任务:
curl --request POST \
--url https://aireiter.com/api/openapi/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"out_task_id": "seedance2_5_task_123456"
}'
output 数组会包含生成的视频 URL。完整字段参见获取任务状态。
Request Examples
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedance2_5",
"params": {
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/product.jpg"
],
"video_url": ["https://example.com/motion-reference.mp4"],
"audio_url": ["https://example.com/music-reference.mp3"],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov"
},
"out_task_id": "seedance2_5_reference_123456"
}'
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedance2_5",
"params": {
"prompt": "从清晨的城市天际线自然过渡到夜晚灯光,缓慢推进镜头",
"type": "first_last_frame",
"image_url": "https://example.com/first-frame.jpg",
"end_image_url": "https://example.com/last-frame.jpg",
"resolution": "720p",
"video_length": 10,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mp4"
},
"out_task_id": "seedance2_5_frames_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "seedance2_5",
"params": {
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": ["https://example.com/character.jpg", "https://example.com/product.jpg"],
"video_url": ["https://example.com/motion-reference.mp4"],
"audio_url": ["https://example.com/music-reference.mp3"],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": True,
"output_format": "mov"
},
"out_task_id": "seedance2_5_reference_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "seedance2_5",
params: {
prompt: "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
type: "all_reference",
image_url: ["https://example.com/character.jpg", "https://example.com/product.jpg"],
video_url: ["https://example.com/motion-reference.mp4"],
audio_url: ["https://example.com/music-reference.mp3"],
resolution: "720p",
video_length: 8,
aspect_ratio: "16:9",
generate_audio: true,
output_format: "mov"
},
out_task_id: "seedance2_5_reference_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "seedance2_5",
"params": map[string]interface{}{
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": []interface{}{
"https://example.com/character.jpg",
"https://example.com/product.jpg",
},
"video_url": []interface{}{
"https://example.com/motion-reference.mp4",
},
"audio_url": []interface{}{
"https://example.com/music-reference.mp3",
},
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov",
},
"out_task_id": "seedance2_5_reference_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "seedance2_5",
"params": {
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/product.jpg"
],
"video_url": [
"https://example.com/motion-reference.mp4"
],
"audio_url": [
"https://example.com/music-reference.mp3"
],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov"
},
"out_task_id": "seedance2_5_reference_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "seedance2_5",
"params" => [
"prompt" => "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type" => "all_reference",
"image_url" => ["https://example.com/character.jpg", "https://example.com/product.jpg"],
"video_url" => ["https://example.com/motion-reference.mp4"],
"audio_url" => ["https://example.com/music-reference.mp3"],
"resolution" => "720p",
"video_length" => 8,
"aspect_ratio" => "16:9",
"generate_audio" => true,
"output_format" => "mov"
],
"out_task_id" => "seedance2_5_reference_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "seedance2_5",
params: {
prompt: "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
type: "all_reference",
image_url: ["https://example.com/character.jpg", "https://example.com/product.jpg"],
video_url: ["https://example.com/motion-reference.mp4"],
audio_url: ["https://example.com/music-reference.mp3"],
resolution: "720p",
video_length: 8,
aspect_ratio: "16:9",
generate_audio: true,
output_format: "mov"
},
out_task_id: "seedance2_5_reference_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "seedance2_5",
"params": [
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": ["https://example.com/character.jpg", "https://example.com/product.jpg"],
"video_url": ["https://example.com/motion-reference.mp4"],
"audio_url": ["https://example.com/music-reference.mp3"],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov"
],
"out_task_id": "seedance2_5_reference_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
""model"": ""seedance2_5"",
""params"": {
""prompt"": ""电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声"",
""type"": ""all_reference"",
""image_url"": [
""https://example.com/character.jpg"",
""https://example.com/product.jpg""
],
""video_url"": [
""https://example.com/motion-reference.mp4""
],
""audio_url"": [
""https://example.com/music-reference.mp3""
],
""resolution"": ""720p"",
""video_length"": 8,
""aspect_ratio"": ""16:9"",
""generate_audio"": true,
""output_format"": ""mov""
},
""out_task_id"": ""seedance2_5_reference_123456""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"seedance2_5\",\"params\":{\"prompt\":\"电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声\",\"type\":\"all_reference\",\"image_url\":[\"https://example.com/character.jpg\",\"https://example.com/product.jpg\"],\"video_url\":[\"https://example.com/motion-reference.mp4\"],\"audio_url\":[\"https://example.com/music-reference.mp3\"],\"resolution\":\"720p\",\"video_length\":8,\"aspect_ratio\":\"16:9\",\"generate_audio\":true,\"output_format\":\"mov\"},\"out_task_id\":\"seedance2_5_reference_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"seedance2_5",
@"params": @{
@"prompt": @"电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
@"type": @"all_reference",
@"image_url": @[
@"https://example.com/character.jpg",
@"https://example.com/product.jpg"
],
@"video_url": @[@"https://example.com/motion-reference.mp4"],
@"audio_url": @[@"https://example.com/music-reference.mp3"],
@"resolution": @"720p",
@"video_length": @8,
@"aspect_ratio": @"16:9",
@"generate_audio": @YES,
@"output_format": @"mov"
},
@"out_task_id": @"seedance2_5_reference_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"Error: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "seedance2_5",
"params": {
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/product.jpg"
],
"video_url": [
"https://example.com/motion-reference.mp4"
],
"audio_url": [
"https://example.com/music-reference.mp3"
],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov"
},
"out_task_id": "seedance2_5_reference_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
"model": "seedance2_5",
"params": {
"prompt": "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
"type": "all_reference",
"image_url": ["https://example.com/character.jpg", "https://example.com/product.jpg"],
"video_url": ["https://example.com/motion-reference.mp4"],
"audio_url": ["https://example.com/music-reference.mp3"],
"resolution": "720p",
"video_length": 8,
"aspect_ratio": "16:9",
"generate_audio": true,
"output_format": "mov"
},
"out_task_id": "seedance2_5_reference_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "seedance2_5",
params = list(
prompt = "电影感产品短片,保持人物和商品外观一致,镜头平滑环绕,配合自然环境声",
type = "all_reference",
image_url = list(
"https://example.com/character.jpg",
"https://example.com/product.jpg"
),
video_url = list(
"https://example.com/motion-reference.mp4"
),
audio_url = list(
"https://example.com/music-reference.mp3"
),
resolution = "720p",
video_length = 8,
aspect_ratio = "16:9",
generate_audio = TRUE,
output_format = "mov"
),
out_task_id = "seedance2_5_reference_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "seedance2_5_reference_123456",
"status": "pending",
"estimated_credits": 100,
"created_at": "2025-12-22T06:03:28.242Z"
}
}
{
"statusCode": 400,
"message": "请求参数无效",
"ok": false
}
{
"error": {
"code": 401,
"message": "身份验证失败,请检查您的API密钥"
}
}
{
"error": {
"code": 433,
"message": "账户余额不足,请充值后再试"
}
}
{
"error": {
"code": 500,
"message": "服务器内部错误,请稍后重试"
}
}
Mode Rules
| type | 可用素材 | 素材限制 |
|---|---|---|
all_reference | image_url、video_url、audio_url | 最多 30 张图片、9 个视频、10 个音频 |
first_last_frame | image_url、end_image_url | 首帧和尾帧图片按需提供;请勿传视频或音频 |
请确保所有素材 URL 可由公网直接访问。任务为异步处理,请勿使用提交请求的 HTTP 连接等待最终视频。